(function ($) {
	Drupal.behaviors.power_reviews = {
		attach: function (context, settings) {
			var config = drupalSettings.powerreview_api_details;
			var content_type_details = drupalSettings.powerreviews_content_details;
			var powerreviews_review_details = drupalSettings.powerreviews_review_details;
			if(content_type_details != undefined && content_type_details.power_reviews_applied_reviewsnippet != '') {
				var review_wrapper_url = config.power_reviews_write_review_url+ '/?&pr_page_id=' + content_type_details.powerreviews_page_id;
				if(content_type_details.power_reviews_type_of_implementation == 'content_type') {
					var review_wrapper_url = config.power_reviews_write_review_url + '/?nid=' + content_type_details.nid + '&pr_page_id=' + content_type_details.powerreviews_page_id;
				}
				POWERREVIEWS.display.render([
				{
					api_key: config.power_reviews_api_key,
					merchant_group_id: config.power_reviews_merchant_group_id,
					merchant_id: config.power_reviews_merchant_id,
					locale: config.power_reviews_locale,
					page_id: content_type_details.powerreviews_page_id,
					review_wrapper_url: review_wrapper_url,
					components: {
						ReviewSnippet: content_type_details.power_reviews_applied_reviewsnippet,
						ReviewDisplay: content_type_details.power_reviews_applied_reviewdisplay
					},
					on_render: function(config, data) {
						function adjustOffset() {
						  var getHeight = $('#block-power-reviews-power-reviews-display .pr-custom-block').outerHeight();
						  var selectHeight = $('#pr-rd-main-header #pr-rd-sort-by').outerHeight();
						  var newMargin = ((getHeight + selectHeight) / 2);
						  $('#pr-rd-main-header .pr-rd-review-header-sorts').css('margin-top', '-' + newMargin + 'px');
						}
						adjustOffset();
						$(window).resize(function() {
						  adjustOffset();
						});
						$('.pr-custom-block').show();
						$('.pr-cta .cta-link').attr('href', $('.pr-snippet-write-review-link').attr('href'));
					},
				}
				]);
			}
		}
	};
}(jQuery));
