(function ($) {
  Drupal.behaviors.power_reviews = {
    attach: function (context, settings) {
      var config = drupalSettings.powerreview_api_details;
      var powerreviews_review_details = drupalSettings.powerreviews_review_details;
      if(powerreviews_review_details != undefined) {
        if(powerreviews_review_details.power_reviews_write_review_custom_header == 'No') {
          POWERREVIEWS.display.render({
            api_key: config.power_reviews_api_key,
            merchant_group_id: config.power_reviews_merchant_group_id,
            merchant_id: config.power_reviews_merchant_id,
            locale: config.power_reviews_locale,
            page_id: powerreviews_review_details.powerreviews_page_id,
            on_submit: function(config, data) {
              $('.pr-custom-header, .required-field').hide();
            },
            components: {
              Write: powerreviews_review_details.power_reviews_write_review
            }
          });
        }
        else {
          $('#pr-product-selector li').on('click', function() {
            $(powerreviews_review_details.power_reviews_write_review).html('');
            var selected_product_nid = $(this).attr('id').toString();
            var product_name = powerreviews_review_details.product_details[selected_product_nid]['name'];
            var product_image_url = powerreviews_review_details.product_details[selected_product_nid]['image_url'];
            var product_amazon_link = powerreviews_review_details.product_details[selected_product_nid]['amazon_link'];
            POWERREVIEWS.display.render({
              api_key: config.power_reviews_api_key,
              merchant_group_id: config.power_reviews_merchant_group_id,
              merchant_id: config.power_reviews_merchant_id,
              locale: config.power_reviews_locale,
              page_id: powerreviews_review_details.powerreviews_page_id,
              //page_id_variant: powerreviews_review_details.product_details[selected_product_nid]['variants'][0]['page_id_variant'],
            product: powerreviews_review_details.product_details[selected_product_nid],
            on_render: function(config, data) {
              $('.pr-custom-header').addClass('show');
              $('.pr-no-header .required-field').show();
              $('#pr-war-form .form-group.pr-rating-form-group').insertAfter($('.pr-header .pr-table-cell .pr-header-product-name'));
              function swapContent() {
                if($(window).width() < 768) {
                  $('#pr-writereview .pr-header .pr-table-cell .pr-header-product-name').prependTo('#pr-writereview .pr-header .pr-header-table');
              }
              }
              swapContent();
            },
            on_submit: function(config, data) {
              $('.pr-no-header').addClass('thank-you-section');
              $('.pr-header-body, .required-field').hide();
              $('.pr-custom-footer.pr-thank-you').show();
              $('.pr-custom-header-left.pr-thank-you').html('<img src="'+product_image_url+'">');
              $('.pr-product-name.pr-thank-you').html('<h3>'+product_name+'</h3>');
              $('.pr-product-name.pr-thank-you h3').html(function(_, html) {
                return html.split('®').join("<sup>®</sup>");
              });
              $('.pr-custom-footer.pr-thank-you a.cta-link').attr('href', product_amazon_link);
              $('html,body').animate({
                scrollTop: 0
              }, '500');
            },
            components: {
              Write: powerreviews_review_details.power_reviews_write_review
            }
          });
          })
        }
      }
    }
  };
}(jQuery));
